#import "queries/DnsRecordsViewFragment.graphql"

mutation DeleteDnsZoneRecord($siteId: ID!, $id: ID!, $ids: [ID!]!) {
    deleteDnsZoneRecord(input: { siteId: $siteId, ids: $ids }) {
        query {
            node(id: $id) {
                ... on Domain {
                    dnsRecordsView {
                        ...DnsRecordsViewFields
                    }
                }
                ... on DomainAlias {
                    dnsRecordsView {
                        ...DnsRecordsViewFields
                    }
                }
            }
        }
    }
}
